Bug 1529319 (CVE-2017-17812) - CVE-2017-17812 nasm: Heap-based buffer over-read in detoken function in asm/preproc.c
Summary: CVE-2017-17812 nasm: Heap-based buffer over-read in detoken function in asm/p...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-17812
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1529336
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-27 15:52 UTC by Pedro Sampaio
Modified: 2019-09-29 14:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:35:18 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-27 15:52:04 UTC
In Netwide Assembler (NASM) 2.14rc0, there is a heap-based buffer over-read in the function detoken() in asm/preproc.c that will cause a denial of service attack.

Upstream bug:

https://bugzilla.nasm.us/show_bug.cgi?id=3392424

Upstream patch:

http://repo.or.cz/nasm.git/commit/9b7ee09abfd426b99aa1ea81d19a3b2818eeabf9

Comment 1 Pedro Sampaio 2017-12-27 17:01:22 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1529336]


Note You need to log in before you can comment on or make changes to this bug.